Class | WSDL::XMLSchema::SimpleRestriction
In: | wsdl/xmlSchema/simpleRestriction.rb
Parent: | Info

### Methods

new parse_attr parse_element valid?

### Attributes

base | [R] |
enumeration | [R] |
length | [RW] |
pattern | [RW] |

### Public Class methods

new()

[Source]

    # File wsdl/xmlSchema/simpleRestriction.rb, line 23
      def initialize
        super
        @base = nil
        @enumeration = []   # NamedElements?
        @length = nil
        @pattern = nil
      end

### Public Instance methods

parse_attr(attr, value)

[Source]

    # File wsdl/xmlSchema/simpleRestriction.rb, line 49
      def parse_attr(attr, value)
        case attr
        when BaseAttrName
          @base = value
        end
      end

parse_element(element)

[Source]

    # File wsdl/xmlSchema/simpleRestriction.rb, line 38
      def parse_element(element)
        case element
        when EnumerationName
          Enumeration.new   # just a parsing handler
        when LengthName
          Length.new   # just a parsing handler
        when PatternName
          Pattern.new   # just a parsing handler
        end
      end

valid?(value)

[Source]

    # File wsdl/xmlSchema/simpleRestriction.rb, line 31
      def valid?(value)
        return false unless check_restriction(value)
        return false unless check_length(value)
        return false unless check_pattern(value)
        true
      end

[Validate]